#!/bin/bash

HOME_DIR="/home/factorio"
EXEC_BIN="${HOME_DIR}/bin/x64/factorio"
SAVE_DIR="${HOME_DIR}/saves"
WORLD="${SAVE_DIR}/world.zip"
SETTINGS="${HOME_DIR}/data/server-settings.json"

LAST_SAVE=`ls -t ${SAVE_DIR}/*.zip 2> /dev/null | head -1`


echo "# Latest autosave file: ${LAST_SAVE}"


# Check save map
if [ ! ${LAST_SAVE} ]; then
echo "# create world: ${WORLD}"
"${EXEC_BIN}" --create "${WORLD}"
else
if [ ${LAST_SAVE} != ${WORLD} ]; then
echo "# mv world file: ${WORLD}"
mv ${LAST_SAVE} ${WORLD}
fi
fi


# Run server with args
${EXEC_BIN} --start-server ${WORLD} --server-settings ${SETTINGS} $@
